This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 615499 - Add support for uninventorying/deleting resources from a group
Add support for uninventorying/deleting resources from a group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-702
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 16:32 EDT by Deon Ballard
Modified: 2013-09-01 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: RHQ-702
Environment:
Last Closed: 2013-09-01 15:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2010-07-16 16:32:57 EDT
+++ This bug was initially created as a clone of Bug #536343 +++

It would be handy if it was possible to remove the members of a group from inventory, rather than just remove the members from the group itself. Removal should either be uninventory or deletion, as is done currently on the inventory page for parent resources. Basically I'm thinking of having the group resource act more like parent resources do now.

For example, there could be a webapp which you would like undeployed from all your JBAS servers. Just create a dynagroup, then on the inventory page for that group select the resources you wanted to delete, and delete them.

There are obviously other ways to skin this particular cat, e.g. you can already uninventory arbitrary resources from the Browse Resources page. So you could extend this by having a DELETE button and using the filter box to choose the resources you want to delete. The advantage I guess with the dynagroup approach is that it gives you finer grained control over which resources get selected.

--- Additional comment from jmarques@redhat.com on 2008-07-29 13:08:57 EDT ---

this makes sense, but a formal dynagroup is probably not needed.  if we wrapped the expressions with a more convenient (dynamic) UI, then we can expose it as on-the-fly or saved searches.  then, the operation can be performed against the results of the search (as opposed to creating a dynagroup, editing expression list, recalculating the group, performing the results against the group, then deleting the group).

--- Additional comment from jmarques@redhat.com on 2008-07-29 13:10:30 EDT ---

linking to RHQ-401 which talks about an expression builder, which is a text-oriented form of the dynamic interface i was referring to in my last comment.

--- Additional comment from bugzilla@redhat.com on 2009-11-10 16:15:07 EST ---

This bug was previously known as http://jira.rhq-project.org/browse/RHQ-702
This bug is related to RHQ-401

--- Additional comment from jmarques@redhat.com on 2010-06-17 14:39:33 EDT ---

commit 8e64b8dc84e6da52147458a13c970fa07ba774c1
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 17 14:35:02 2010 -0400

    BZ-536343: support uninventorying all resources members of a group

-----

There's a new "UNINVENTORY MEMBERS" but on the groups tab of the inventory browser.  select one or more resources, click it, and all members of the selected groups will be uninventoried.

--- Additional comment from skondkar@redhat.com on 2010-06-22 08:46:16 EDT ---

Verified on JON 2.4 GA_QA build

The 'Groups' tab of inventory browser displays the button 'UNINVENTORY MEMBERS'

Selecting one or more resources and clicking on the button 'UNINVENTORY MEMBERS' uninventories members of the selected groups. The UI displays message 'Uninventoried members of selected groups '.
Comment 2 Heiko W. Rupp 2013-09-01 15:20:03 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.